mbed_host_tests.host_tests_runner.mbed_base.Mbed Class Reference

Base class for a host driven test. More...

## Public Member Functions

def | __init__ (self, options)
def | copy_image (self, image_path=None, disk=None, copy_method=None, port=None, retry_copy=5)
| Closure for copy_image_raw() method. More...
def | copy_image_raw (self, image_path=None, disk=None, copy_method=None, port=None)
| Copy file depending on method you want to use. More...
def | hw_reset (self)

## Public Attributes

| options
| logger
| port
| disk
| target_id
| image_path
| copy_method
| retry_copy
| program_cycle_s
| polling_timeout
| serial_baud
| serial_timeout
| test_cfg

## Detailed Description

Base class for a host driven test.

This class stores information about things like disk, port, serial speed etc. Class is also responsible for manipulation of serial port between host and mbed device

Definition at line 29 of file mbed_base.py.

## Constructor & Destructor Documentation

## __init__()

def mbed_host_tests.host_tests_runner.mbed_base.Mbed.__init__ | ( |  | self,
|  |  | options
| ) |  |

     ctor

Definition at line 34 of file mbed_base.py.

## Member Function Documentation

## copy_image()

def mbed_host_tests.host_tests_runner.mbed_base.Mbed.copy_image | ( |  | self,
|  |  | image_path = `None`,
|  |  | disk = `None`,
|  |  | copy_method = `None`,
|  |  | port = `None`,
|  |  | retry_copy = `5`
| ) |  |

Closure for copy_image_raw() method.

Returns
  Returns result from copy plugin

Definition at line 87 of file mbed_base.py.

## copy_image_raw()

def mbed_host_tests.host_tests_runner.mbed_base.Mbed.copy_image_raw | ( |  | self,
|  |  | image_path = `None`,
|  |  | disk = `None`,
|  |  | copy_method = `None`,
|  |  | port = `None`
| ) |  |

Copy file depending on method you want to use.

Handles exception and return code from shell copy commands.

Returns
  Returns result from copy plugin

Method which is actually copying image to mbed

Definition at line 198 of file mbed_base.py.

## hw_reset()

def mbed_host_tests.host_tests_runner.mbed_base.Mbed.hw_reset | ( |  | self | ) |

    Performs hardware reset of target ned device.

    :return:

Definition at line 222 of file mbed_base.py.

## Member Data Documentation

## copy_method

mbed_host_tests.host_tests_runner.mbed_base.Mbed.copy_method

Definition at line 46 of file mbed_base.py.

## disk

mbed_host_tests.host_tests_runner.mbed_base.Mbed.disk

Definition at line 43 of file mbed_base.py.

## image_path

mbed_host_tests.host_tests_runner.mbed_base.Mbed.image_path

Definition at line 45 of file mbed_base.py.

## logger

mbed_host_tests.host_tests_runner.mbed_base.Mbed.logger

Definition at line 40 of file mbed_base.py.

## options

mbed_host_tests.host_tests_runner.mbed_base.Mbed.options

Definition at line 39 of file mbed_base.py.

## polling_timeout

mbed_host_tests.host_tests_runner.mbed_base.Mbed.polling_timeout

Definition at line 49 of file mbed_base.py.

## port

mbed_host_tests.host_tests_runner.mbed_base.Mbed.port

Definition at line 42 of file mbed_base.py.

## program_cycle_s

mbed_host_tests.host_tests_runner.mbed_base.Mbed.program_cycle_s

Definition at line 48 of file mbed_base.py.

## retry_copy

mbed_host_tests.host_tests_runner.mbed_base.Mbed.retry_copy

Definition at line 47 of file mbed_base.py.

## serial_baud

mbed_host_tests.host_tests_runner.mbed_base.Mbed.serial_baud

Definition at line 52 of file mbed_base.py.

## serial_timeout

mbed_host_tests.host_tests_runner.mbed_base.Mbed.serial_timeout

Definition at line 53 of file mbed_base.py.

## target_id

mbed_host_tests.host_tests_runner.mbed_base.Mbed.target_id

Definition at line 44 of file mbed_base.py.

## test_cfg

mbed_host_tests.host_tests_runner.mbed_base.Mbed.test_cfg

Definition at line 72 of file mbed_base.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests_runner/mbed_base.py